local alert_test = import '../alerts-config/alert_rule.libsonnet';
local alert_data = import '../alerts-config/alert_model.libsonnet';
local alert_model_data = import '../alerts-config/alert_condition.libsonnet';


local my_alert_condition_A = alert_model_data.new(
  evaluatorParams=null,
  evaluatorType='gt',
  operatorType='and',
  queryRefId='B',
  reducerParams=[],
  reducerType='last',
);

local my_alert_condition_B = alert_model_data.new(
  evaluatorParams=100,
  evaluatorType='gt',
  operatorType='and',
  queryRefId='C',
  queryTimeStart=null,
  queryTimeEnd=null,
  reducerParams=[],
  reducerType='last',
);


alert_test.new(id=3898712,
    uid='test_uid3898712',
    orgID=1,
    folderUID='ab_xyz1234',
    ruleGroup='my_alert-dashboards',
    title='alert-rule_for_spring-boot-jvm-cd',
    condition='C',
    updated="2023-04-09T15:52:13+05:00",
    noDataState="NoData",
    panelId="6",
    execErrState="Error",
    isPaused=false,
    dashboardUid="ABCJVM123",
    interval='2m',
    annotationDesc="Alert is Triggering .. Huhhhh!!!!!",
    annotationSummary="This is Test Rule"
).addAlertCondition(alert_data.new(
    refId="A",
    from=600,
    to=0,
    datasourceUid="Dxn-4VYVk",
    editorMode="code",
    expr="http_server_requests_seconds_count",
    hide="false",
    intervalMs=2000,
    legendFormat="__auto",
    maxDataPoints=43200,
    range=true
    )
).addAlertCondition(alert_data.new(
    refId="B",
    from=600,
    to=0,
    datasourceUid="__expr__",
    expression="A",
    hide=false,
    intervalMs=1000,
    maxDataPoints=43200,
    reducer='max',
    type="reduce",
    modelCondition=my_alert_condition_A
)
).addAlertCondition(alert_data.new(
    refId="C",
    from=600,
    to=0,
    datasourceUid="__expr__",
    expression="B",
    hide=false,
    intervalMs=1000,
    maxDataPoints=43200,
    type="threshold",
    modelCondition=my_alert_condition_B
)
) + {
         "for":'5m'
 }